Charge a custom amount to a saved card
POST
/payment/one_off_charge
billing.funnelfox.comCharge an arbitrary amount and currency against a customer’s saved card, without a Price Point.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”org_id
required
string
Organization ID
Request bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
OneOffChargeIn
object
external_id
required
Customer Id
Your unique identifier for the user
string
currency_code
required
Currency Code
Three-letter ISO currency code. Case-insensitive.
string
idempotency_key
required
Idempotency Key
Unique key per purchase intent. Reuse it on retries to avoid double-charging.
string
client_metadata
object
Client MetadataCustom metadata from your client application
Show 1 propertyHide property
key
additional properties
any
Example generated
{ "external_id": "example", "amount": 1, "currency_code": "example", "idempotency_key": "example", "client_metadata": {}}Responses
Section titled “Responses”200 Payment status and details
Section titled “200”Media typeapplication/json
OneOffChargeOut
object
action_required_token
required
Action Required Token
Always empty for custom charges — merchant-initiated charges have no authentication step.
string
checkout_status
required
CheckoutPaymentStatus
string
failed_message_for_user
required
Failed Message For User
string
order_id
required
string format: uuid
idempotent_replay
Idempotent Replay
True when this response replays an earlier charge made with the same idempotency key, rather than a new charge.
boolean